const { app, BrowserWindow } = require('electron');
const { exec } = require('child_process');
const { log } = require('console');

function createWindow() {
    win = new BrowserWindow({
        width: 800,
        height: 800,
        nodeIntegration: true,
    });
    win.loadFile('./dist/index.html');
}

app.whenReady().then(() => {
   createWindow();
});

// Stop app once all windows are closed
app.on('window-all-closed', () => {
      if (process.platform !== 'darwin') {
          app.quit();
      }
  });

  