import { Component, OnInit } from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import { LoginComponent } from './login/login.component';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent implements OnInit {
  isAuthenticated = false;
  activeUser: string | undefined = "unknown user";
  title = 'azap-desktop-app';

  constructor(private dialog: MatDialog) {}

  ngOnInit(): void {
    //this.openModal();
  }

  openModal() {
    const dialogRef = this.dialog.open(LoginComponent, {
      width: '400px',
      disableClose: true // Prevent closing the modal by clicking outside
    });
  }
}
