export interface Id {
    $oid: string;
  }
  
  export interface ResourcepropertiesId {
    $oid: string;
  }
  
  export interface Resource {
    resourcename: string;
    resourcepropertiesId: ResourcepropertiesId;
  }
  
  export interface EnvironmentsId {
    $oid: string;
  }
  
  export interface ProjectId {
    $oid: string;
  }
  
  export interface Project {
    _id: Id;
    name: string;
    description: string;
    status: string;
  }
  
  export interface ProjectsId {
    $oid: string;
  }
  
  export interface Environment {
    _id: Id;
    name: string;
    description: string;
    projectsId: ProjectsId;
  }
  
  export interface ProjectViewModel {
    _id: Id;
    name: string;
    tag: string;
    subscription: string;
    region: string;
    resources: Resource[];
    environmentsId: EnvironmentsId;
    projectId: ProjectId;
    project: Project[];
  }
  