export class Project {
    _id: string;
    name: string;
    description: string;
    status: string;
    createdby: string;
    createdon: string;
    updatedon: string;
    updatedby: string;
    templateid: string;
    environmentid: string;
}

class Id {
    $oid: number;
}

export class projectEnvironment {
    environmentId: string;
}

export class replicateEnvironment {
    projectId: string;
    environmentId: string;
}

export class deleteEnvironment {
    projectId: string;
    environmentId: string;
}

export class EnvironmentDetails {
    _id: string;
    name: string;
    description: string;
    projectid: string;
    createdby: string;
    updatedby: string;
    status: string;
    subscriptionid: string;
    tenantid: string;
    serviceprincipalid: string;
    infrastateresourcegroupid: string;
    storageaccountid: string;
    storagecontainerid: string;
}

export class Environment {
    _id: string;
    name: string;
    description: string;
    projectsId: string;
    status: string;
    subscriptionid: string;
    tenantid: string;
    serviceprincipalid: string;
    infrastateresourcegroupid: string;
    storageaccountid: string;
    storagecontainerid: string;
}
export class Log {
    _id: string;
    application: string;
    modulename: string;
    type: string;
    remark: string;
    loggedon: string;
    loggedby: string;
}