export class ResourceGroup
{
    _id: string;
    name: string;
    tags: string;
    subscription: string;
    location: string;
    environmentid: string;
    projectid: string;
    terraformuniquename:string;
    // new structure
    resources: ResourceJsonTemplateDetails[];
    locktype: string;
    createdby :string;
    updatedby :string;
    preexisting:boolean=false;
}
export class Resources{
    _id:string;
    id:string;
    uniqueid:string;
    userreadablename:string;
    modulename:string;
}
export class ResourcesOpData{
    _id:string;
    resourceid:string;
    resources:any[];
}
export class ResourcesJson{
    _id:string;
    mstresourceid:string;
    properties:any;
    terraformuniquename:string;
    resourcegrpid:string;
    reference:any[];
    address:string;
    createdby:string;
    updatedby:string;
    preexisting:boolean=false;
}


export class ResourceJsonTemplateDetails{
    _id:string;
    mstresourceid:string;
    properties:any;
    resourcegrpid:string;
    reference:any[];
    //terraformuniquename:string;
    resourcegrpuniquename: string;
}

export class CreateResource{
    _id:string;
    mstresourceid:string;
    properties:any;
    resourcegrpid:string;
    reference:any[];
    createdby:string;
    updatedby:string;
    preexisting:boolean=false;
}

export class CreateExportedResource{
    _id:string;
    mstresourceid:string;
    properties:any;
    resourcegrpid:string;
    reference:any[];
    createdby:string;
    updatedby:string;
    preexisting:boolean=false;
    terraformuniquename:string;
    isdeleted: boolean;
}

export class MstResourceIpProperties{
    _id:string;
    mstresourceid:string;
    ipvariables:IpProperties[];
}
export class IpProperties{
    name:string;
    userreadablename:string;
    type:string;
    _id:string;
}
export class MstRgDrpdwn{
    _id:string;
    terraformuniquename:string;
    resources:MstResDrpdwn[];
}
export class MstDrpdwnmapping{
    list1:any;
    list2:any;
}
export class MstResDrpdwn{
    _id:string;
    terraformuniquename:string;
}
export class resoucemodule{
 propertyname:string;
 propertyvalue:string;
}
export class dialogreturnval{
    type:string;
    value:string;
}