import { Component } from '@angular/core';
import { JsonFormsAngularService, JsonFormsControl } from '@jsonforms/angular';
import { ControlProps } from '@jsonforms/core';
import { WebapiService } from './service/webapi.service';

@Component({
  selector: 'app-secdata-component',
  template: '<pre><div>{{dataobj}}</div></pre>'
})
export class SecondaryDataDisplayComponent extends JsonFormsControl {
  dataobj:string;isvalid:boolean=true;
  requiredstr:any; i:number=0;
  inputarr:string[]=[];
  constructor(service: JsonFormsAngularService,private apiservice:WebapiService) {
    super(service);
  }

  public mapAdditionalProps(props: ControlProps) {
    // if(this.i>=1)
    // {
    //   if(this.i==2)
    // {
    //   this.requiredstr=props.rootSchema.required;
    //   this.i=this.i+1;
    // }
    // alert();
    // if(props.data[0] != undefined){
    // this.validate(props.data,this.requiredstr);
    this.apiservice.secjsondataasstring = JSON.stringify(props.data, null, 2);
    this.apiservice.seciserror =!this.isvalid;
    this.dataobj=this.apiservice.secjsondataasstring ;
    // }
    // this.i=this.i+1;
  }
validate(propsdata,reqarr)
{
  this.inputarr = Object.keys(propsdata);
   const isinputvalid=Object.values(propsdata).every(x=>(x!=null && x!=""));
  if(!isinputvalid)
  {
    const rem =this.getKeyByValue(propsdata,"");
    this.inputarr = this.inputarr.filter(item => item != rem);
  }
  this.inputarr=[... new Set(this.inputarr)];
  this.isvalid=reqarr.every( ai => this.inputarr.includes(ai) )
}
getKeyByValue(object, value) {
  return Object.keys(object).find(key => object[key] === value);
}
}  