export const environment = {
  apiUrl: 'https://localhost:5001/api',
  
  production: true,
  adminRole: 'AzAPAdmin',
  usermail: 'azapUserEmail',
  draftStatus: 'draft',
  submittedStatus: 'submitted',
  uploadedStatus: 'uploaded',
  terraformpackagedownloadlink: 'https://pkgs.dev.azure.com/WiproAzAP/AzAP-Market-Place/_apis/packaging/feeds/Terraform-Package-Feed/nuget/packages/-packageName-/versions/-packageVersion-/content?api-version=6.0-preview.1',
  ansiblepackagedownloadlink: 'https://pkgs.dev.azure.com/WiproAzAP/AzAP-Market-Place/_apis/packaging/feeds/Ansible-Package-Feed/nuget/packages/-packageName-/versions/-packageVersion-/content?api-version=6.0-preview.1',
  packagename: '-packageName-',
  packageversion: '-packageVersion-',
  packagesucceededstatus: 'succeeded',
  pipelineValidateAction: 'validate',
  pipelineDeployAction: 'deploy',
  pipelineDestroyAction: 'rollback',
  pipelinesucceededstatus: 'succeeded',
  downloadlogPath: 'https://vsrm.dev.azure.com/WiproAzAP/AzAP-Terraform-Pipelines/_apis/release/releases/-taskid-/logs?api-version=7.1-preview.2',
  taskId: '-taskid-',
  taskLogDetails: 'https://vsrm.dev.azure.com/WiproAzAP/AzAP-Terraform-Pipelines/_apis/release/releases/-taskid-/environments/-taskid-/deployPhases/-taskid-/tasks/3/logs?api-version=6.0-preview.2',
  releaseLogDetails: 'https://vsrm.dev.azure.com/WiproAzAP/AzAP-Terraform-Pipelines/_apis/release/releases/{{releaseId}}/logs?api-version=7.1-preview.2',
  ansiblereleaseLogDetails: 'https://vsrm.dev.azure.com/WiproAzAP/AzAP-Ansible-Pipelines/_apis/release/releases/{{releaseId}}/logs?api-version=7.1-preview.2',
  redirectUri:'https://localhost:4200',
  patkey:'dbcxyxzhdjz6wzfg24tcvnimrm6q5sqp7jfwpkk4qeay6blo2u7q',
  resourcevalidationmsg:'Invalid value. Please click on <i class="fa fa-info-circle facoloricn"></i> to get the value format of the property.',
  validatePipelineName: 'sit-terraform-cd-validate',
  deployPipelineName: 'sit-terraform-cd-deploy',
  decommPipelineName: 'sit-terraform-cd-rollback',
  ansibleDeployPipelineName: 'sit-ansible-cd-deploy'
};