export class AzuretenantDetails {
    _id: string;
    azuresubscriptionid: string;
    azuretenantid: string;
    azureclientid: string;
    azureclientsecret: string;
    createdby: string;
    createdon: string;
    updatedby: string;
    updatedon: string;
    isdeleted: boolean;
}
export class Azuretenant {
    _id: string;
    tenantname: string;
    tenantid: string;
    createdby: string;
    createdon: string;
    updatedby: string;
    updatedon: string;
    isdeleted: boolean;
}
export class SaveAzureSubscription {
    tenantid: string;
    subscription: AzureSubscription;
}
export class AzureSubscription {
    _id: string;
    subscriptionname: string;
    subscriptionid: string;
}
export class AzureServiceprinciple{
    _id: string;
    name: string;
    uniquekeyprefix: string;
}
export class SaveAzureServiceprinciple{
    tenantid: string;
    subscriptionid: string;
    serviceprincipal:AzureServiceprinciple;
}
export class SaveAzureResourceGroup{
    tenantid: string;
    subscriptionid: string;
    serviceprincipalid:string;
    storageaccountid: string;
    containerid: string;
    Resourcegroup:AzureResourceGroup;
}
export class AzureResourceGroup{
    _id:string;
    name: string;
    storageaccounts: AzureStorageaccount[];
}
export class AzureStorageaccount{
    _id: string;
    accountname: string;
    containers:Azurecontainer[];
}
export class Azurecontainer{
    _id: string;
    name: string;
}