// import { HttpClient } from '@angular/common/http';
// import { Injectable } from '@angular/core';
// import { MsalService } from '@azure/msal-angular';
// import { environment } from 'src/environments/environment';
// import { AuthenticationResult } from '@azure/msal-browser';
// import { Observable } from 'rxjs';

// @Injectable({
//   providedIn: 'root'
// })
// export class ConfigService {

//   // Property to hold the configuration data
//   public config: any;
//   constructor(private http: HttpClient, private authService: MsalService) { }
  
//   // Method to load the configuration data
//   loadConfig() {
//     return this.http.get('/assets/app.settings.json').toPromise().then(data => {
//       this.config = data;
//       Object.assign(environment, data);
//     })
//   }

//   // Method to return the configuration data
//   getConfig() {
//     return this.config;
//   }

//   // Function to generate authentication token
//   getToken() {
//     let accounts = this.authService.instance.getAllAccounts();
//     var tokenRequest = {
//       scopes: ["user.read"],
//       account: accounts[0],
//       forceRefresh: true,
//     };

//     // Calling acquireTokenSilent and returning as an observable
//     return new Observable((observer) => {
//       this.authService
//       .acquireTokenSilent(tokenRequest)
//       .subscribe((response: AuthenticationResult) => {
//         let tokenresponse = JSON.parse(JSON.stringify(response));

//         // Store the access token in localStorage
//         localStorage.setItem("azapToken", tokenresponse.idToken);

//         // Store the user's email in localStorage
//         localStorage.setItem("azapUserEmail", tokenresponse.idTokenClaims.email.toLowerCase()
//         );

//         // Get the access token expiration time
//         let accessTokenExpiresOn = new Date(tokenresponse.expiresOn);

//         // Calculate the time to refresh the token
//         let refreshTokenAfter = accessTokenExpiresOn.getTime() - Date.now();

//         // Refresh the token 5 minutes before it expires 
//         setTimeout(() => {
//           this.getToken().subscribe(() => {
//             // Do nothing
//           });
//         }, refreshTokenAfter - 5 * 60 * 1000);
//         observer.next();
//         observer.complete();
//       });
//     });
//   }
// }
